org.apache.ignite.platform.cpp

## Class PlatformCppConfiguration

- java.lang.Object
- - org.apache.ignite.platform.cpp.PlatformCppConfiguration

All Implemented Interfaces:
  PlatformConfiguration

Direct Known Subclasses:
  PlatformCppConfigurationEx

    public class PlatformCppConfiguration
    extends Object
    implements PlatformConfiguration

Platform CPP configuration.

### Constructor Summary

Constructors
Constructor and Description
`PlatformCppConfiguration()` Default constructor.
`PlatformCppConfiguration(PlatformConfiguration cfg)` Copying constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformCppConfiguration

    public PlatformCppConfiguration()

Default constructor.

#### PlatformCppConfiguration

    public PlatformCppConfiguration(PlatformConfiguration cfg)

Copying constructor.

Parameters:
  `cfg` - Configuration to copy.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020